/*
 * Copyright: (C) 2003 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */

#ifndef MILEAGEFILE_H
#define MILEAGEFILE_H

#include <qstring.h>


class QDir;
class QStringList;
//class QString;


#define CAR_DATA_DIR  "Documents/mileage/"



class mileagefile 
{ 

public:
    mileagefile(const char *carname);
    ~mileagefile();

    static void
    returnCars(QStringList & cars);

    static bool
    searchForCar(const char *carname);

    static bool
    createNewCar(const char *carname);

    static void
    deleteCar(const char *carname);

    void
    deleteEntry(QString str);

    void
    deleteActivity(
       QString  dat,
       QString  odo,
       QString  act);

    void
    deleteAlert(
       QString  odo,
       QString  rep,
       QString  act);

    void
    deleteTrip(
       QString  s_odo);

    void
    addMileEntry(
       QString str,
       bool    previous);

    void
    addAlertEntry(
       QString& odo_str,
       QString& repeat,
       QString& act_str,
       QString& comment_str);

    void
    addActivityEntry(
       QString& date_str,
       QString& odo_str,
       QString& act_str,
       QString& comment_str);

    void
    returnMileEntries(QStringList & lst);

    void
    returnActivityEntries(QStringList & lst);

    void
    returnAlertEntries(QStringList & lst);

    void
    returnTripEntries(QStringList & lst);

    void
    getNextAlert(
       int           delta,
       QStringList & alert_lst);

    void
    addTripEntry(
       QString& start_date,
       QString& start_miles,
       QString& end_date,
       QString& end_miles,
       QString& person,
       QString& dest,
       QString& purpose);


private:

    void
    returnEntries(
       QStringList & lst,
       QChar value);


QDir     *_dir;
QString  *_filestr;
};

#endif // MILEAGEFILE_H
