/*
 * Copyright: (C) 2003 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */


#include "mileagegraphdata.h"


#include <qtextstream.h>

#include <cstdio>
#include <cstdlib>
#include <iostream>


// Constructor
mileagegraphdata::mileagegraphdata()
{
}

// Destructor
mileagegraphdata::~mileagegraphdata()
{
}


bool
mileagegraphdata::operator==(mileagegraphdata& data)
{
   return (this->getDate() == data.getDate());
}


bool
mileagegraphdata::operator<(mileagegraphdata& data)
{
   return (this->getDate() < data.getDate());
}


void
mileagegraphdata::setAllData(QString& str)
{
   QString  str1, str2, str3, end_str, p;
   int      mm, dd, yyyy;
   QChar    dummy;
   int      value;


   // Read in date, odometer, and fuel
   QTextStream  ts(str, IO_ReadOnly);
   ts >> str1 >> str2 >> str3 >> end_str >> p;

   // See if there is cost data for this entry. If there is then end_str
   if (p.isEmpty())
   {
      p = end_str;
      end_str.truncate(0);
      _cost = 0.0;
   }
   else
   {
      QTextStream ts4(end_str, IO_ReadOnly);
      ts4 >> _cost;
   }

   QTextStream ts1(str1, IO_ReadOnly);
   QTextStream ts2(str2, IO_ReadOnly);
   QTextStream ts3(str3, IO_ReadOnly);
   QTextStream ts5(p, IO_ReadOnly);

   ts2 >> _odo;
   ts3 >> _fuel;
   ts5 >> value;
   if (value == 0)
      _prev_value = TRUE;
   else
      _prev_value = FALSE;

   // Get the year, month, and day in number format
   ts1 >> dec >> yyyy >> dummy >> mm >> dummy >> dd;
   _date.setYMD(yyyy, mm, dd);
}


void
mileagegraphdata::setDate(QDate& date)
{
   _date = date;
}


QDate&
mileagegraphdata::getDate()
{
   return (_date);
}


void
mileagegraphdata::setFuel(double fuel)
{
   _fuel = fuel;
}


double
mileagegraphdata::getFuel()
{
   return (_fuel);
}


void
mileagegraphdata::setOdometer(int odo)
{
   _odo = odo;
}


int
mileagegraphdata::getOdometer()
{
   return (_odo);
}


void
mileagegraphdata::setCost(double cost)
{
   _cost = cost;
}


double
mileagegraphdata::getCost()
{
   return (_cost);
}


void
mileagegraphdata::setPrevValue(bool val)
{
   _prev_value = val;
}


bool
mileagegraphdata::getPrevValue()
{
   return (_prev_value);
}
   

