/*
 * Copyright: (C) 2003 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */

#ifndef MILEAGEGRAPHDATA_H
#define MILEAGEGRAPHDATA_H

#include <qdatetime.h>

class QString;



class mileagegraphdata
{ 

public:
   mileagegraphdata();
   ~mileagegraphdata();

   bool
   operator==(
      mileagegraphdata& data);

   bool
   operator<(
      mileagegraphdata& data);

   void
   setAllData(QString& str);

   void
   setDate(QDate& date);

   QDate&
   getDate();

   void
   setFuel(double fuel);

   double
   getFuel();

   void
   setOdometer(int odo);

   int
   getOdometer();

   void
   setCost(double cost);

   double
   getCost();

   void
   setPrevValue(bool val);

   bool
   getPrevValue();


private:

   mileagegraphdata(mileagegraphdata& op);

   const mileagegraphdata&
   operator=(const mileagegraphdata& op);

QDate    _date;
double   _fuel;
double   _cost;
int      _odo;
bool     _prev_value;

};

#endif // MILEAGEGRAPHDATA_H
