/*
 * Copyright: (C) 2004 Bruce W. Forsberg
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 *
 *   Bruce Forsberg  forsberg@tns.net
 *
 */

#ifndef MILEIMPORT_H
#define MILEIMPORT_H

#include "mileageimport.h"

class QStringList;



class mileimport: public importForm
{ 

public:
   mileimport(
      QWidget* parent = 0,
      const char* name = 0,
      WFlags fl = 0 );
   ~mileimport();

   void
   readFile();

   void
   processDate(int field);

   void
   processOdo(int field);

   void
   processFuel(int field);

   void
   processCost(int field);

private:

   mileimport(mileimport& op);

   const mileimport&
   operator=(const mileimport& op);

   void
   fillMenus();

   bool
   verifyFile();

   void
   displayTable();


   QStringList  *_lst;
   int           _cols;
   int           _date;
   int           _odo;
   int           _fuel;
   int           _cost;

};

#endif // MILEIMPORT_H
